import React from 'react';
import ReactDom from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffSetX = 90;
const eyeOffSetY = 100;
const eyeRadius = 50;
const mouthWidth = 20;
const mouthRadius = 130;

const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI /2)
  .endAngle(Math.PI / -2);

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="yellow"
        stroke="black"
        stroke-width={strokeWidth}
      />
      <circle
        cx={-eyeOffSetX}
        cy={-eyeOffSetY}
        r={eyeRadius}
      />
      <circle
        cx={eyeOffSetX}
        cy={-eyeOffSetY}
        r={eyeRadius}
        /></g>
      <g transform={`translate(${centerX},${centerY+12  0})`}>
      <path d={mouthArc()} />
      </g>
    
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
